Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4670 - Kernel Panic at install
Summary: Kernel Panic at install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-23 17:40 UTC by chuck
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description chuck 1999-08-23 17:40:58 UTC
System: Intel P150
RAM: 64M
SCSI: Adaptec 2920



Previous OS RH5.2 ran without fault. We selected an Install
not an Upgrade.

On install. In 2nd stage while installing packages get error
message:

Kernel panic: scsi: <fdomain> fdomain_16x0_queue() NOT
REENTRANT! In swapper task - not syncing

Install fails 100%!

Comment 1 dracon 1999-09-06 05:48:59 UTC
I have a quantum drive connected to a Adaptec 2920, and the same error comes up.  It seems to occur when the drive is under heavy usage.  For me, it was a 200KB/s download that killed it.  Strange thing though is that it only crashes after I have downloaded about 50 megs, and then I get a bus reset time out.  Then the sync message comes up and crashes.

Comment 2 chuck 1999-09-06 19:47:59 UTC
Here is the actual panic transcribed from the dead machines monitor:
TMC Status = 0x40 (interrupt)
Interrupt Status = 0x28 (enabled)
FIFO Status = 0x08
Int. Condition = 0x00
Configuration 1 = 0x85
Configuration 2 = 0x03
scsi : aborting command due to timeout : pid 3351, scsi0, channel 0,
id 6, lun 0
Write (10) 00 00 39 f9 1b 00 00 00 00
scsi: <fdomain> abort
Future Domain 16-bit SCSI Driver Version 5.50
scsi0: <fdomain> No BIOS; using SCSI id 7
scsi0: <fdomain> TMC-36C70 (PCI bus) chip at 0x6100 irq 10
arbitration (2), target = 6 cmnd = 0x2a pieces = 64 size = 65536
sent_command = 0, have_data_in = 0, timeout = 0
in_interrupt_flag = 0
IMR = 0x5a68, IRR = 0x0000, ISR = 0x0000
SCSI Status = 0x11
TMC Status = 0x40 (interrupt)
Interrupt Status = 0x28 (enabled)
FIFO Status = 0x08
Int. Condition = 0x00
Configuration 1 = 0x85
Configuration 2 = 0x03
scsi0 channel 0 : resetting for second half of retries
SCSI bus is being reset for host 0 channel 0
scsi: <fdomain> SCSI Bus Reset
Future Domain 16-bit SCSI Driver Version 5.50
scsi0: <fdomain> No BIOS; using SCSI id 7
scsi0: <fdomain> TMC-36C70 (PCI bus) chip at 0x6100 irq 10
unknown (34), target = 6 cmnd = 0x2a pieces = 64 size = 65536
sent_command = 0, have_data_in = 0, timeout = 0
in_interrupt_flag = 0
IMR = 0x5a68, IRR = 0x0000, ISR = 0x0000
SCSI Status = 0x11
TMC Status = 0x40 (interrupt)
Interrupt Status = 0x00 (enabled)
FIFO Status = 0x08
Int. Condition = 0x00
Configuration 1 = 0x85
Configuration 2 = 0x03
scsi0 channel 0 : resetting for second half of retries
SCSI bus is being reset for host 0 channel 0
scsi: <fdomain> SCSI Bus Reset
Future Domain 16-bit SCSI Driver Version 5.50
scsi0: <fdomain> No BIOS; using SCSI id 7
scsi0: <fdomain> TMC-36C70 (PCI bus) chip at 0x6100 irq 10
unknown (34), target = 6 cmnd = 0x2a pieces = 64 size = 65536
sent_command = 0, have_data_in = 0, timeout = 0
in_interrupt_flag = 0
IMR = 0x5a68, IRR = 0x0000, ISR = 0x0000
SCSI Status = 0x11
TMC Status = 0x40 (interrupt)
Interrupt Status = 0x00 (enabled)
FIFO Status = 0x08
Int. Condition = 0x00
Configuration 1 = 0x85
Configuration 2 = 0x03
Kernel Panic: scsi: <fdomain> fdomain_16x0_queue() NOT REENTRANT!

In swapper task - not syncing

Also... Alan Cox suggested I set the can_queue line in fdomain.h to 0
instead of 1 and then recompile the kernel. I did that but it hangs
here:

Loading fdomain module
scsi0: <fdomain> No Bios; using scsi id 7
scsi0: <fdomain> TMC-36C70 (PCI bus) chip at 0x6100 irq 10
scsi0: Future Domain 16-bit SCSI Driver Version 5.50
scsi : 1 host.

and it hung right there so I backed up to the kernel provided by RH
with the 2.2.5-22 rpm (i586 version). HtH and thanx a lot!


Note You need to log in before you can comment on or make changes to this bug.